CainReval

Villager
Member
Joined
Jun 8, 2016
Messages
15
Reaction score
2
First Language
English
Primarily Uses
Ive been working on using Moghunters main menu set up for my game, Ive change a few images to help make it a little more original, but every time I try to open the menu I get this...


0jyn475.png


Ive updated my game to the newest version before I jumped into using this plugin, but I cant help but get frustrated when I cant get these things to work properly.


I opened up the console to try an figure it out, but java script is pretty difficult for me to understand


m9Tb1OX.png


Is there anything i can do? Or am I doomed to use the same main menu as every other RPG Maker user?
 

CainReval

Villager
Member
Joined
Jun 8, 2016
Messages
15
Reaction score
2
First Language
English
Primarily Uses
So, theres an update for this issue. I updated my plugins from mog hunter and everything seems to work well for right now. Im encountering a new issue where I seem to be overlapping some things involved with Yanflys plugins, such as the equipment, Items, ect


cPBpK4E.jpgJ0KVucZ.jpg


I assume its conflicting with Yanflys core engines that change these sorts of things. However, I cant just disable his core engines, is there a way I can make it so Yanflys engine doesnt alter my screen so I can use this one made by Mog Hunter?


Also, I run into an issue when I go to use an item from the item menu, probably contflicting with Yanflys plugins again since i havent had this issue before I used this menu set up.


84susuM.png


Opening up the console gave me this, but I cant understand what it means or how to fix it


qcVQqeo.png


Thanks in advance for anyone who can help!
 

Andar

Veteran
Veteran
Joined
Mar 5, 2013
Messages
32,333
Reaction score
8,072
First Language
German
Primarily Uses
RMMV
Please read the instruction from Yanfly directly under the pink bar from pixi.
He didn't put those instructions there for fun ;-)


Additionally, you have not updated your project correctly. Please re-read the instructions in the update topic here in the forum on how to update to 1.3.1 - you need to copy new versions of the libraries into the library folder, and you didn't do that correctly (see the bottom lines about "failed to load resource".


After those updates, check again and return here with a new console screenshot if you still have problems.
 

CainReval

Villager
Member
Joined
Jun 8, 2016
Messages
15
Reaction score
2
First Language
English
Primarily Uses
Alright, I updated the core engine and installed the new libraries folder, but Im still getting issues when trying to use the items and still dealing with the messed up menu for the equipment. I still see this every time i try to use an item84susuM.png


Opening the console shows me this


lTGjpOx.png


I see "DisplayObjectContainer has been shortened to container, please use container from now on" alot, but I dont quite know what its supposed to mean..


Im having a bit of difficulty understanding what the console wants me to do
 

Andar

Veteran
Veteran
Joined
Mar 5, 2013
Messages
32,333
Reaction score
8,072
First Language
German
Primarily Uses
RMMV
You can ignore the deprecation warnings for now, they don't matter (they basically tell that the command given has been changed and that it will be removed in a later pixi version, but as long as that don't get updated it can be ignored).


The remaining problem looks like an incompatibility between YEP_ItemCore and MOG_sceneitem. can you confirm this by disabling one of them and starting a new game, checking if the problem is going away then?


If it is an incompatibility problem between those two, you can try to solve the problem by reordering those two plugins - if that doesn't work, you'll need a compatibility patch.
 

CainReval

Villager
Member
Joined
Jun 8, 2016
Messages
15
Reaction score
2
First Language
English
Primarily Uses
Alright, it seems like there is a minor compatibility issue when trying to use these Mog Hunters menu plugins with the YEP Engines for Equipment, Items, and Status Menus. Disabling either of these plugins (From MogHunter or Yanfly) fixed the problems i was encountering.


THANKS FOR ALL THE HELP! :D
 

CainReval

Villager
Member
Joined
Jun 8, 2016
Messages
15
Reaction score
2
First Language
English
Primarily Uses
Just recently Im encountering new errors with these plugins. The skills menu seems to bug out when I try to open it. I hadnt encountered these issues before I changed the images, but Im encountering them now, and Im not quite sure what they are asking of me..
ENLGdbq.png


m109AAO.png


These were working before, but after changing only the image files did I encounter this issue. I didnt change anything mechanical, just visual
 

Latest Threads

Latest Posts

Latest Profile Posts

Lunee.jpg
Early try to draw our Demon Countess, who destroyed her own soul leaving just an empty shell of a body - until our heroine unwillingly takes possession of it, every time she falls asleep.
(I know it’s a premade face from the Dark Fantasy Set, but I spent so much time with her, that I can’t bring myself to change the sprite anymore xD)
I finished setting up my new desk and apparently she thinks this is where she goes now.

20210411_082331.jpg
not me baking a pie because i was inspired by celeste
Doing RPG Maker News for 10th April, 2021. :LZScheeze: (Improving on the thumbnails, by using assets from the day's news.)
Just discovering the forum.

Forum statistics

Threads
110,296
Messages
1,052,066
Members
143,328
Latest member
YukiSanMoji
Top